<?php
error_reporting(~E_STRICT);

$_SLEX = array();

define('__ROOT__', realpath(dirname(__FILE__)).'/');
define('__KERNEL__', __ROOT__.'kernel/');
define('__COMS__', __ROOT__.'coms/');
define('__EXES__', __ROOT__.'exes/');
define('__CONFS__', __ROOT__.'confs/');
define('__DATA__', __ROOT__.'data/');
define('__CACHE__', __ROOT__.'data/cache/');
define('__EXTS__', __ROOT__.'exts/');

$_SLEX_ROOT = __ROOT__;

include_once __CONFS__.'slex.s.php';
include_once __KERNEL__.'frame.php';
include_once __KERNEL__.'kernel.php';
include_once __COMS__.'frame.php';
include_once __COMS__.'coms.php';
include_once __KERNEL__.'init.php';
include_once __COMS__.'init.php';
include_once __CONFS__.'app.s.php';
